Package com.xebialabs.xlrelease.repository

## Class Ids

- java.lang.Object
- - com.xebialabs.xlrelease.repository.Ids

-     public class Ids
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ATTACHMENT_PREFIX` |
    `static java.lang.String` | `CALENDAR_ROOT` |
    `static java.lang.String` | `CONFIGURATION_PREFIX` |
    `static java.lang.String` | `CUSTOM_CONFIGURATION_ROOT` |
    `static java.lang.String` | `DELIVERIES_ROOT` |
    `static java.lang.String` | `DELIVERY_PREFIX` |
    `static java.lang.String` | `DEPENDENCY_PREFIX` |
    `static java.lang.String` | `FOLDER_PREFIX` |
    `static java.lang.String` | `MAIL_CONFIGURATION_ROOT` |
    `static java.lang.String` | `PHASE_PREFIX` |
    `static java.lang.String` | `RELEASE_PREFIX` |
    `static java.lang.String` | `RISK_PROFILE_CONFIGURATION_ROOT` |
    `static java.lang.String` | `ROOT_FOLDER_ID` |
    `static java.lang.String` | `SEPARATOR` |
    `static java.lang.String` | `TASK_PREFIX` |
    `static java.lang.String` | `TEAM_PREFIX` |
    `static java.lang.String` | `TRIGGER_PREFIX` |
    `static java.lang.String` | `VALUE_PROVIDER_SUFFIX` |
    `static java.lang.String` | `VARIABLE_PREFIX` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `deliveryIdFrom​(java.lang.String id)` |
    `static java.lang.String` | `findCommonParent​(java.lang.String id1, java.lang.String id2)` |
    `static java.lang.String` | `findFolderId​(java.lang.String id)` |
    `static java.lang.String` | `findInAncestry​(java.lang.String id, java.lang.String prefix)` |
    `static java.lang.String` | `formatWithFolderId​(java.lang.String folderId, java.lang.String containerId)` |
    `static java.lang.String` | `getFolderlessId​(java.lang.String id)` |
    `static java.lang.String` | `getFullTaskName​(java.lang.String id)` |
    `static java.lang.String` | `getName​(java.lang.String id)` | Given Application/Release01/Phase01, returns Phase01
    `static java.lang.String` | `getParentId​(java.lang.String id)` |
    `static java.lang.String` | `getReleaselessChildId​(java.lang.String childId)` |
    `static java.lang.String` | `getTopLevelTaskId​(java.lang.String id)` |
    `static boolean` | `hasReleaseId​(java.lang.String id)` |
    `static boolean` | `isAttachmentId​(java.lang.String id)` |
    `static boolean` | `isCalendarId​(java.lang.String id)` |
    `static boolean` | `isConfigurationId​(java.lang.String id)` |
    `static boolean` | `isCustomConfigurationId​(java.lang.String id)` |
    `static boolean` | `isDashboardId​(java.lang.String id)` |
    `static boolean` | `isDeliveryId​(java.lang.String id)` |
    `static boolean` | `isDependencyId​(java.lang.String id)` |
    `static boolean` | `isDomainId​(java.lang.String id)` |
    `static boolean` | `isFacetId​(java.lang.String id)` |
    `static boolean` | `isFolderId​(java.lang.String id)` |
    `static boolean` | `isInFolder​(java.lang.String id)` |
    `static boolean` | `isInRelease​(java.lang.String id)` |
    `static boolean` | `isInRootFolder​(java.lang.String id)` |
    `static boolean` | `isNullId​(java.lang.String id)` |
    `static boolean` | `isPhaseId​(java.lang.String id)` |
    `static boolean` | `isPlanItemId​(java.lang.String id)` |
    `static boolean` | `isReleaseId​(java.lang.String id)` |
    `static boolean` | `isRoot​(java.lang.String id)` |
    `static boolean` | `isStageId​(java.lang.String id)` |
    `static boolean` | `isTaskId​(java.lang.String id)` |
    `static boolean` | `isTeamId​(java.lang.String id)` |
    `static boolean` | `isTriggerId​(java.lang.String id)` |
    `static boolean` | `isValueProviderId​(java.lang.String id)` |
    `static boolean` | `isVariableId​(java.lang.String id)` |
    `static java.lang.String` | `normalizeId​(java.lang.String id)` |
    `static java.lang.String` | `phaseIdFrom​(java.lang.String id)` |
    `static java.lang.String` | `relativePathFrom​(java.lang.String fromPath, java.lang.String fullPath)` |
    `static java.lang.String` | `releaseActorId​(java.lang.String releaseId)` |
    `static java.lang.String` | `releaseIdFrom​(java.lang.String id)` |
    `static java.lang.String` | `releasePathInRootFolder​(java.lang.String releaseId)` |
    `static java.lang.String` | `taskIdFrom​(java.lang.String id)` |
    `static java.lang.String` | `toDomainId​(java.lang.String id)` |
    `static java.lang.String` | `triggerIdFrom​(java.lang.String id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_FOLDER_ID

          public static final java.lang.String ROOT_FOLDER_ID

    - #### SEPARATOR

          public static final java.lang.String SEPARATOR

      See Also:
        Constant Field Values

    - #### RELEASE_PREFIX

          public static final java.lang.String RELEASE_PREFIX

      See Also:
        Constant Field Values

    - #### TRIGGER_PREFIX

          public static final java.lang.String TRIGGER_PREFIX

      See Also:
        Constant Field Values

    - #### PHASE_PREFIX

          public static final java.lang.String PHASE_PREFIX

      See Also:
        Constant Field Values

    - #### TASK_PREFIX

          public static final java.lang.String TASK_PREFIX

      See Also:
        Constant Field Values

    - #### VARIABLE_PREFIX

          public static final java.lang.String VARIABLE_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIGURATION_PREFIX

          public static final java.lang.String CONFIGURATION_PREFIX

      See Also:
        Constant Field Values

    - #### VALUE_PROVIDER_SUFFIX

          public static final java.lang.String VALUE_PROVIDER_SUFFIX

      See Also:
        Constant Field Values

    - #### DEPENDENCY_PREFIX

          public static final java.lang.String DEPENDENCY_PREFIX

      See Also:
        Constant Field Values

    - #### FOLDER_PREFIX

          public static final java.lang.String FOLDER_PREFIX

      See Also:
        Constant Field Values

    - #### ATTACHMENT_PREFIX

          public static final java.lang.String ATTACHMENT_PREFIX

      See Also:
        Constant Field Values

    - #### TEAM_PREFIX

          public static final java.lang.String TEAM_PREFIX

      See Also:
        Constant Field Values

    - #### DELIVERY_PREFIX

          public static final java.lang.String DELIVERY_PREFIX

      See Also:
        Constant Field Values

    - #### CUSTOM_CONFIGURATION_ROOT

          public static final java.lang.String CUSTOM_CONFIGURATION_ROOT

    - #### CALENDAR_ROOT

          public static final java.lang.String CALENDAR_ROOT

    - #### MAIL_CONFIGURATION_ROOT

          public static final java.lang.String MAIL_CONFIGURATION_ROOT

    - #### RISK_PROFILE_CONFIGURATION_ROOT

          public static final java.lang.String RISK_PROFILE_CONFIGURATION_ROOT

    - #### DELIVERIES_ROOT

          public static final java.lang.String DELIVERIES_ROOT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParentId

          public static java.lang.String getParentId​(java.lang.String id)

    - #### isRoot

          public static boolean isRoot​(java.lang.String id)

    - #### releaseIdFrom

          public static java.lang.String releaseIdFrom​(java.lang.String id)

    - #### triggerIdFrom

          public static java.lang.String triggerIdFrom​(java.lang.String id)

    - #### deliveryIdFrom

          public static java.lang.String deliveryIdFrom​(java.lang.String id)

    - #### phaseIdFrom

          public static java.lang.String phaseIdFrom​(java.lang.String id)

    - #### taskIdFrom

          public static java.lang.String taskIdFrom​(java.lang.String id)

    - #### isNullId

          public static boolean isNullId​(java.lang.String id)

    - #### isPlanItemId

          public static boolean isPlanItemId​(java.lang.String id)

    - #### isReleaseId

          public static boolean isReleaseId​(java.lang.String id)

    - #### isTriggerId

          public static boolean isTriggerId​(java.lang.String id)

    - #### isPhaseId

          public static boolean isPhaseId​(java.lang.String id)

    - #### isAttachmentId

          public static boolean isAttachmentId​(java.lang.String id)

    - #### isTaskId

          public static boolean isTaskId​(java.lang.String id)

    - #### isVariableId

          public static boolean isVariableId​(java.lang.String id)

    - #### isDependencyId

          public static boolean isDependencyId​(java.lang.String id)

    - #### isFolderId

          public static boolean isFolderId​(java.lang.String id)

    - #### isFacetId

          public static boolean isFacetId​(java.lang.String id)

    - #### isCustomConfigurationId

          public static boolean isCustomConfigurationId​(java.lang.String id)

    - #### isConfigurationId

          public static boolean isConfigurationId​(java.lang.String id)

    - #### isTeamId

          public static boolean isTeamId​(java.lang.String id)

    - #### isDomainId

          public static boolean isDomainId​(java.lang.String id)

    - #### isValueProviderId

          public static boolean isValueProviderId​(java.lang.String id)

    - #### isCalendarId

          public static boolean isCalendarId​(java.lang.String id)

    - #### isDeliveryId

          public static boolean isDeliveryId​(java.lang.String id)

    - #### isStageId

          public static boolean isStageId​(java.lang.String id)

    - #### isDashboardId

          public static boolean isDashboardId​(java.lang.String id)

    - #### isInFolder

          public static boolean isInFolder​(java.lang.String id)

    - #### isInRootFolder

          public static boolean isInRootFolder​(java.lang.String id)

    - #### hasReleaseId

          public static boolean hasReleaseId​(java.lang.String id)

    - #### isInRelease

          public static boolean isInRelease​(java.lang.String id)

    - #### findInAncestry

          public static java.lang.String findInAncestry​(java.lang.String id,
                                                        java.lang.String prefix)

    - #### getName

          public static java.lang.String getName​(java.lang.String id)

      Given Application/Release01/Phase01, returns Phase01

    - #### getReleaselessChildId

          public static java.lang.String getReleaselessChildId​(java.lang.String childId)

    - #### getFolderlessId

          public static java.lang.String getFolderlessId​(java.lang.String id)

    - #### relativePathFrom

          public static java.lang.String relativePathFrom​(java.lang.String fromPath,
                                                          java.lang.String fullPath)

    - #### getFullTaskName

          public static java.lang.String getFullTaskName​(java.lang.String id)

    - #### getTopLevelTaskId

          public static java.lang.String getTopLevelTaskId​(java.lang.String id)

    - #### releasePathInRootFolder

          public static java.lang.String releasePathInRootFolder​(java.lang.String releaseId)

    - #### findFolderId

          public static java.lang.String findFolderId​(java.lang.String id)

    - #### findCommonParent

          public static java.lang.String findCommonParent​(java.lang.String id1,
                                                          java.lang.String id2)

    - #### toDomainId

          public static java.lang.String toDomainId​(java.lang.String id)

    - #### normalizeId

          public static java.lang.String normalizeId​(java.lang.String id)

    - #### formatWithFolderId

          public static java.lang.String formatWithFolderId​(java.lang.String folderId,
                                                            java.lang.String containerId)

    - #### releaseActorId

          public static java.lang.String releaseActorId​(java.lang.String releaseId)